JSS version on libjss4.so says it is 4.2.1 Beta when it is actually 4.2.2 Beta

RESOLVED FIXED in 4.2.3

Status

RESOLVED FIXED
13 years ago
13 years ago

People

(Reporter: Sandeep.Konchady, Assigned: Sandeep.Konchady)

Tracking

4.2.2
4.2.3

Details

Attachments

(1 attachment, 1 obsolete attachment)

(Assignee)

Description

13 years ago
Fetching version information from CryptoManager
JSS_VERSION = JSS_4_2_2_BETA
NSS_VERSION = NSS_3_11_RTM
NSPR_VERSION = NSPR_4_5_RTM

  Checking for header information in jss library
libjss4.so = $Header: JSS 4.2.1 Beta (debug)  Jan 23 2006 11:03:20 $

This needs to be fixed in the next upgrade fix.
(Assignee)

Updated

13 years ago
Status: NEW → ASSIGNED
(Assignee)

Updated

13 years ago
Target Milestone: --- → 4.2.3
(Assignee)

Comment 1

13 years ago
Created attachment 210159 [details] [diff] [review]
Updated JSS version from 4.2.1 to 4.2.3

Updated and corrected JSS version from 4.2.1 to 4.2.3
Attachment #210159 - Flags: superreview?(glen.beasley)
Attachment #210159 - Flags: review?(alexei.volkov.bugs)

Updated

13 years ago
Attachment #210159 - Flags: superreview?(glen.beasley) → superreview+

Comment 2

13 years ago
Comment on attachment 210159 [details] [diff] [review]
Updated JSS version from 4.2.1 to 4.2.3

Don't really know how JSS handles versions. One thing I've notice: if JSS_PATCH_VERSION is changed to 3 should JSS_VPATCH be changed to 3 as well?
(Assignee)

Comment 3

13 years ago
Created attachment 210251 [details] [diff] [review]
Made corrections as per Alexei's observation
Attachment #210159 - Attachment is obsolete: true
Attachment #210251 - Flags: superreview?(alexei.volkov.bugs)
Attachment #210159 - Flags: review?(alexei.volkov.bugs)

Comment 4

13 years ago
Comment on attachment 210251 [details] [diff] [review]
Made corrections as per Alexei's observation

looks ok
Attachment #210251 - Flags: superreview?(alexei.volkov.bugs) → superreview+
(Assignee)

Comment 5

13 years ago
Checking in org/mozilla/jss/CryptoManager.java;
/cvsroot/mozilla/security/jss/org/mozilla/jss/CryptoManager.java,v  <--  CryptoManager.java
new revision: 1.41; previous revision: 1.40
done
Checking in org/mozilla/jss/JSSProvider.java;
/cvsroot/mozilla/security/jss/org/mozilla/jss/JSSProvider.java,v  <--  JSSProvider.java
new revision: 1.23; previous revision: 1.22
done
Checking in org/mozilla/jss/util/jssver.h;
/cvsroot/mozilla/security/jss/org/mozilla/jss/util/jssver.h,v  <--  jssver.h
new revision: 1.28; previous revision: 1.27
done
Status: ASSIGNED → RESOLVED
Last Resolved: 13 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.